### Method

# Atk Component set_extents

#### Declaration [src]

    gboolean
    atk_component_set_extents (
      AtkComponent* component,
      gint x,
      gint y,
      gint width,
      gint height,
      AtkCoordType coord_type
    )

#### Description [src]

Sets the extents of `component`.

#### Parameters

`x`

  Type: `gint`

  X coordinate.

`y`

  Type: `gint`

  Y coordinate.

`width`

  Type: `gint`

  Width to set for `component`.

`height`

  Type: `gint`

  Height to set for `component`.

`coord_type`

  Type: `AtkCoordType`

  Specifies whether the coordinates are relative to the screen or to the components top level window.

#### Return value

Type: `gboolean`

`TRUE` or `FALSE` whether the extents were set or not.